Skip to main content
`Ctrl`+`K`

# EPSAppendOptionsPrefix

Appends to the prefix used for searching for all `EPS` options in the database.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSAppendOptionsPrefix(EPS eps,const char prefix[])

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- prefix - the prefix string to prepend to all `EPS` option requests

## Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetOptionsPrefix()`, `EPSGetOptionsPrefix()`

## Level

advanced

## Location

src/eps/interface/epsopts.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages